diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 803fde4..80f9c1c 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -37103,8 +37103,8 @@ FractionalIdeal(R, F, UP, A): Exports == Implementation where
     denom i         == i.den
     mkIdeal(v, d)   == [v, d]
     invrep m        == represents(transpose(m) * coordinates(1$A))
-    upmat(x, i)     == map(monomial(#1, i)$UP, regularRepresentation x)
-    ret? v          == any?(retractIfCan(#1)@Union(F,"failed") case F, v)
+    upmat(x, i)     == map(s +-> monomial(s, i)$UP, regularRepresentation x)
+    ret? v          == any?(s+->retractIfCan(s)@Union(F,"failed") case F, v)
     x = y           == denom(x) = denom(y) and numer(x) = numer(y)
     agcd l  == reduce("gcd", [vgcd coordinates a for a in l]$List(R), 0)
 
@@ -37125,13 +37125,13 @@ FractionalIdeal(R, F, UP, A): Exports == Implementation where
             [upmat(qelt(v, j + m), j) for j in 0..#v-1]$List(Matrix UP))
 
     inv i ==
-      m  := inverse(map(#1::QF, summat i))::Matrix(QF)
+      m  := inverse(map(s+->s::QF, summat i))::Matrix(QF)
       cd  := splitDenominator(denom(i)::F::UP::QF * m)
       cd2 := splitDenominator coefficients(cd.den)
       invd:= cd2.den / reduce("gcd", cd2.num)
       d   := reduce("max", [degree p for p in parts(cd.num)])
       ideal
-        [invd * invrep map(coefficient(#1, j), cd.num) for j in 0..d]$VA
+        [invd * invrep map(s+->coefficient(s, j), cd.num) for j in 0..d]$VA
 
     ideal v ==
       d := reduce("lcm", [commonDenominator coordinates qelt(v, i)
diff --git a/changelog b/changelog
index d45f2b6..ec07526 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.08.tpd.patch
+20090511 tpd books/bookvol10.3 FRIDEAL +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.07.tpd.patch
 20090511 tpd books/bookvol10.2 UPOLYC +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3cfbbc7..7e0a27a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1228,5 +1228,7 @@ bookvol10.3 FDIV +-> conversion<br/>
 bookvol10.4 CPIMA +-> conversion<br/>
 <a href="patches/20090511.07.tpd.patch">20090511.07.tpd.patch</a>
 bookvol10.2 UPOLYC +-> conversion<br/>
+<a href="patches/20090511.08.tpd.patch">20090511.08.tpd.patch</a>
+bookvol10.3 FRIDEAL +-> conversion<br/>
  </body>
 </html>
